> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume mandate

> Resume a paused mandate for a given customer.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /customers/{customer_id}/mandates/{mandate_id}/resume
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/{customer_id}/mandates/{mandate_id}/resume:
    parameters:
      - name: customer_id
        in: path
        description: Customer Id
        required: true
        schema:
          type: string
      - name: mandate_id
        in: path
        description: Mandate Id
        required: true
        schema:
          type: string
    post:
      tags:
        - Customers
      summary: Resume mandate
      description: Resume a paused mandate for a given customer.
      operationId: resume-customer-mandate
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      mandate:
                        $ref: '#/components/schemas/CustomerMandate'
                    required:
                      - mandate
                    type: object
components:
  schemas:
    CustomerMandate:
      title: CustomerMandate
      type: object
      required:
        - id
        - status
      properties:
        id:
          type: string
        mandate_type:
          type: string
        status:
          $ref: '#/components/schemas/MandateStatus'
        max_amount:
          type: integer
        frequency:
          type: string
        external_reference_id:
          description: >-
            The external reference id of the mandate. This is the id of the
            mandate in the external system.
          type:
            - string
            - 'null'
        start_date:
          type: string
          format: date-time
        end_date:
          type: string
          format: date-time
        gateway:
          type: string
        gateway_reference_id:
          type: string
        block_fund:
          type: boolean
        revokable_by_customer:
          type: boolean
        currency:
          type: string
        payment_info:
          type: object
          properties:
            payment_method_type:
              type: string
            payment_method:
              type: string
            bank_details:
              type: object
              properties:
                account_number:
                  type: string
                ifsc:
                  type: string
                bank_account_type:
                  type: string
                beneficiary_name:
                  type: string
                bank_name:
                  type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        activated_at:
          type: string
          format: date-time
        last_activated_at:
          type: string
          format: date-time
    MandateStatus:
      type: string
      enum:
        - created
        - active
        - paused
        - revoked
        - error
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````